import 'package:conalep_pos/models/basico_model.dart';
import '../services/services.dart';

class Mesa extends Basico {
  String? nombre;
  String? clave;
  bool? activa;

  Mesa({
    super.id,
    super.idLocal,
    this.nombre,
    this.clave,
    this.activa,
    super.creado,
    super.modificado,
    super.eliminado
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'nombre': nombre,
      'clave': clave,
      'activa': activa == true ? 1 : 0,
    }..addAll(super.toJson());
  }

  Mesa.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    nombre = Basico.parseString(json['nombre']);
    clave = Basico.parseString(json['clave']);
    activa = Basico.parseInt(json['activa']) == 1;
  }

  Future<void> guardar() async {
    idLocal = await RepoService().guardar(this);
  }
}